$loader-bg: #000000c7;
$width-water: 20em;
$height-water: 20em;
$top-water: -6em;
$shadow-water: inset 0 0 1.5em 0 rgba(0, 0, 0, .5), 0 0.2em 0.5em 0 rgba(0, 0, 0, .5);

#global-loader {
  position: fixed;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 9999;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: $loader-bg;
  user-select: none;

  h2 {
    color: white;
    font-size: 2em;
  }
}

.btn-loader.active, .water {
  width: $width-water;
  height: $height-water;
  background-color: skyblue;
  border-radius: 50%;
  position: relative;
  box-shadow: $shadow-water;
  overflow: hidden;

  &:before, &:after {
    content: '';
    position: absolute;
    width: $width-water;
    height: $height-water;
    top: $top-water;
    background-color: #fff;
  }

  &:before {
    border-radius: 45%;
    background: rgba(255, 255, 255, .7);
    animation: wave 4s linear infinite;
  }

  &:after {
    border-radius: 35%;
    background: rgba(255, 255, 255, .3);
    animation: wave 6s linear infinite;
  }

  @keyframes wave {
    0% {
      transform: rotate(0);
    }
    100% {
      transform: rotate(360deg);
    }
  }
}

.btn-loader.active {
  $width-water: 30px;
  $height-water: 30px;
  $top-water: -13px;
  $shadow-water: inset 0 0 3px 0 rgba(0, 0, 0, .5), 0 0 1px 0 rgba(0, 0, 0, .5);

  width: $width-water !important;
  height: $height-water !important;
  box-shadow: $shadow-water !important;
  font-size: 0 !important;
  border-width: 0 !important;
  background-color: skyblue !important;

  &:before, &:after {
    width: $width-water !important;
    height: $height-water !important;
    top: $top-water !important;
    right: 0;
  }
}

#overlay-disable-interaction {
  display: none;
  width: 100%;
  position: absolute;
  height: 100%;
  z-index: 9999;

  &.active {
    display: block;
  }
}

